Bug 47035 - Wrong Path for Syslog Modules in Template
Wrong Path for Syslog Modules in Template
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: univention-base-files
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-1-errata
Assigned To: Felix Botner
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-18 16:51 CEST by Christian Völker
Modified: 2018-07-18 14:12 CEST (History)
4 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.034
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Waiting Support: Yes
Flags outvoted after Product Owner Review:
Ticket number: 2018070521000183
Bug group (optional):
Max CVSS v3 score:
requate: Patch_Available+


Attachments
patch (628 bytes, patch)
2018-07-05 08:03 CEST, Stephan Hendl
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Völker univentionstaff 2018-05-18 16:51:43 CEST
In the template file at /etc/univention/templates/files/etc/rsyslog.conf the variable mod is looking for syslog module files in /usr/lib/rsyslog/im%s.so


At least with UCS 4.3 the modules reside at 
/usr/lib/x86_64-linux-gnu/rsyslog/im*.so


So the resulting /etc/rsyslog.conf never gets remote logging enabled from template as the related entries stays commented by "#".
Comment 1 Stephan Hendl 2018-07-05 08:02:42 CEST
Also seen in my environment. There are two solutions:

1) create a link: "ln -s /usr/lib/x86_64-linux-gnu/rsyslog /usr/lib/rsyslog" or
2) apply a patch to the template file with the right directory for looking for
Comment 2 Stephan Hendl 2018-07-05 08:03:27 CEST
Created attachment 9588 [details]
patch
Comment 3 Felix Botner univentionstaff 2018-07-17 17:06:44 CEST
fixed in univention-base-files 0ae4241eefad22d5a2685387b9c1b6e406d4f1b5

yaml ce2851c30af6490f7d2fecd56ebdc67a42380600
Comment 4 Erik Damrose univentionstaff 2018-07-18 12:32:47 CEST
OK: Fixed path check for 32 and 64bit systems
OK: Modules are activated in config when set via UCR; relp needs the additional package rsyslog-relp installed
OK: yaml
Comment 5 Erik Damrose univentionstaff 2018-07-18 14:12:47 CEST
<http://errata.software-univention.de/ucs/4.3/151.html>